DRM_VMA_OFFSET_MANAG(9)

NAME
drm_vma_offset_manager_destroy - Destroy offset manager

SYNOPSIS

void drm_vma_offset_manager_destroy(struct drm_vma_offset_manager * mgr);

ARGUMENTS

mgr
    Manager object

DESCRIPTION

Destroy an object manager which was previously created via drm_vma_offset_manager_init. The caller must remove all allocated nodes before destroying the manager. Otherwise, drm_mm will refuse to free the requested resources.

The manager must not be accessed after this function is called.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT